com.sun.source.tree

## Interface CatchTree

All Superinterfaces:
  Tree

    @Exported
    public interface CatchTree
    extends Tree

A tree node for a 'catch' block in a 'try' statement. For example:

       catch ( parameter )
           block

Since:
  1.6
See The Java™ Language Specification:
  section 14.20

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`BlockTree` `getBlock()`
`VariableTree` `getParameter()`

### Methods inherited from interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getParameter

    VariableTree getParameter()

#### getBlock

    BlockTree getBlock()